SETSID(1)

NOM
setsid - Lancer un programme dans une nouvelle session

SYNOPSIS

setsid [options] program [arguments]

DESCRIPTION

setsid runs a program in a new session. The command calls fork(2) if already a process group leader. Otherwise, it executes a program in the current process. This default behavior is possible to override by the --fork option.

OPTIONS

-c, --ctty
    Définir le terminal de contrôle à celui actuel.

-f, --fork
    Toujours créer un nouveau processus.

-w, --wait
    Attendre la fin de l’exécution du programme, puis renvoyer le code de retour de ce programme comme code de retour de setsid.

-V, --version
    Afficher le nom et la version du logiciel et quitter.

-h, --help
    Afficher l’aide-mémoire puis quitter.

AUTEURS

VOIR AUSSI

setsid(2)

SIGNALER DES BOGUES

Pour signaler un bogue, utilisez le

DISPONIBILITÉ

La commande setsid fait partie du paquet util-linux, elle est disponible sur